### Method

# GLib OptionContext set_translate_func

since: 2.12

#### Declaration [src]

    void
    g_option_context_set_translate_func (
      GOptionContext* context,
      GTranslateFunc func,
      gpointer data,
      GDestroyNotify destroy_notify
    )

#### Description [src]

Sets the function which is used to translate the contexts user-visible strings, for `--help` output. If `func` is `NULL`, strings are not translated.

Note that option groups have their own translation functions, this function only affects the `parameter_string` (see g_option_context_new()), the summary (see g_option_context_set_summary()) and the description (see g_option_context_set_description()).

If you are using gettext(), you only need to set the translation domain, see g_option_context_set_translation_domain().

Available since: 2.12

#### Parameters

`func`

  Type: `GTranslateFunc`

  The `GTranslateFunc`, or `NULL`.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  User data to pass to `func`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy_notify`

  Type: `GDestroyNotify`

  A function which gets called to free `data`, or `NULL`.

  The argument can be `NULL`.